Subject: Re: [PATCH net-next 0/4] Improve tsn_lib selftests for future distributed tasks

From: [email-masked]
Date: Mon, 26 Sep 2022 20:30:16 +0000

Hello:

This series was applied to netdev/net-next.git (master)
by Jakub Kicinski <[email-masked]>:

On Sat, 24 Sep 2022 00:00:11 +0300 you wrote:
> Some of the boards I am working with are limited in the number of ports
> that they offer, and as more TSN related selftests are added, it is
> important to be able to distribute the work among multiple boards.
> A large part of implementing that is ensuring network-wide
> synchronization, but also permitting more streams of data to flow
> through the network. There is the more important aspect of also
> coordinating the timing characteristics of those streams, and that is
> also something that is tackled, although not in this modest patch set.
> The goal here is not to introduce new selftests yet, but just to lay a
> better foundation for them. These patches are a part of the cleanup work
> I've done while working on selftests for frame preemption. They are
> regression-tested with psfp.sh.
> 
> [...]

Here is the summary with links:
  - [net-next,1/4] selftests: net: tsn_lib: don't overwrite isochron receiver extra args with UDS
    https://git.kernel.org/netdev/net-next/c/7d45b5fd27b4
  - [net-next,2/4] selftests: net: tsn_lib: allow running ptp4l on multiple interfaces
    https://git.kernel.org/netdev/net-next/c/7ff9396ee82c
  - [net-next,3/4] selftests: net: tsn_lib: allow multiple isochron receivers
    https://git.kernel.org/netdev/net-next/c/a7ce95ac837d
  - [net-next,4/4] selftests: net: tsn_lib: run phc2sys in automatic mode
    https://git.kernel.org/netdev/net-next/c/162d52dfee44

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html